<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.registry.common.utils.CommonUtil" %>
<%@ page import="org.wso2.carbon.registry.ui.info.clients.InfoServiceClient" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.info.beans.xsd.CommentBean" %>
<%@ page import="org.wso2.carbon.registry.ui.info.services.utils.xsd.Comment" %>
<script type="text/javascript" src="../info/js/info.js"></script>

<fmt:bundle basename="org.wso2.carbon.registry.ui.info.i18n.Resources">

    <div>
        <%
            String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
            InfoServiceClient client = new InfoServiceClient(cookie, config, session);
            CommentBean comment;
            try {
                client.addComment(request);
                comment = client.getComments(request);
            } catch (Exception e) {
                response.setStatus(500);
                CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
                session.setAttribute(CarbonUIMessage.ID, uiMsg);
        %>
        <jsp:include page="../admin/error.jsp?<%=e.getMessage()%>"/>
        <%
                return;
            }
            Comment[] comments = comment.getComments();

            String content = " ";
        %>
        <div id="commentsSum" class="summeryStyle">
            <% if (comments.length > 0) {
            %>
                    <fmt:message key="no.of.comments">
                        <fmt:param
                                value="<%=comments.length%>"/>
                    </fmt:message>
                    <%

                    } else {

                    %>
                    <fmt:message key="no.comments.on.this.entry.yet"/>
                    <%

                        }

                    %>
        </div>
        <table cellpadding="0" cellspacing="0" class="styledLeft" id="commentsTable">
            <tbody>

                <%
                    for (int i = 0; i < comments.length; i++) {
                        Comment comment1 = comments[i];
                        String commentString = comment1.getText();
                        String commentedTime = CommonUtil.formatDate(comment1.getCreatedTime().getTime());
                        String commentedUser = comment1.getUser();
                %>
                <tr>
                    <td>
                        <div valign="top" style="padding-top:10px;padding-bottom:10px;">
                            <fmt:message key="comment">
                                <fmt:param value="<%=commentString%>"/>
                            </fmt:message>
                            <br/>
                            <fmt:message key="posted.on.by">
                                <fmt:param value="<%=commentedTime%>"/>
                                <fmt:param value="<%=commentedUser%>"/>
                            </fmt:message>
                        </div>
                    </td>
                </tr>
                <%
                    }
                %>


            </tbody>
        </table>
    </div>
    <script type="text/javascript">
        alternateTableRows('commentsTable', 'tableEvenRow', 'tableOddRow');
    </script>

</fmt:bundle>