<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.registry.common.utils.CommonUtil" %>
<%@ page import="org.wso2.carbon.registry.ui.info.clients.InfoServiceClient" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.info.beans.xsd.CommentBean" %>
<%@ page import="org.wso2.carbon.registry.ui.info.services.utils.xsd.Comment" %>
<%@ page import="org.wso2.carbon.registry.ui.info.Utils" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<script type="text/javascript" src="../info/js/info.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_common.js"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>
<%
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    InfoServiceClient client = new InfoServiceClient(cookie, config, session);
    CommentBean comment;
    try {
        comment = client.getComments(request);
    } catch (Exception e) {
        response.setStatus(500);
        CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
        session.setAttribute(CarbonUIMessage.ID, uiMsg);
%>
<jsp:include page="../admin/error.jsp"/>
<%
        return;
    }
    Comment[] comments = comment.getComments();
%>
<fmt:bundle basename="org.wso2.carbon.registry.ui.info.i18n.Resources">
<carbon:jsi18n
        resourceBundle="org.wso2.carbon.registry.ui.info.i18n.JSResources"
        request="<%=request%>"/>

<div class="box1-head" style="height:auto;">
    <table cellspacing="0" cellpadding="0" border="0" style="width:100%">
        <tr>


            <td valign="top"><h2 class="sub-headding-comments"><fmt:message
                    key="comments"/></h2></td>


            <td align="right" valign="top" class="expanIconCell">


                <a onclick="showComments()">
                    <img src="images/icon-expanded.gif" border="0" align="top"
                         id="commentsIconExpanded" style="display:none;"/>
                    <img src="images/icon-minimized.gif" border="0" align="top"
                         id="commentsIconMinimized"/>
                </a>

            </td>

        </tr>
    </table>


</div>
<div class="box1-mid-fill" id="commentsMinimized"></div>
<div class="box1-mid" id="commentsExpanded" style="display:none;height:auto;">
<div style="height:15px;">
    <% if (!comment.getVersionView()) {
        String url = Utils.getAtomURL(config, request, request.getParameter("path")) + ";comments"; %>
    <a
            style="float:right;background-image:url(images/icon-feed-small.gif);"
            href="<%=url%>?loggedIn=true"
            target="_blank"
            class="icon-link"
            title="Subscribe to the comment feed">
            <fmt:message key="feed"/> 
    </a>
  <% } %>

</div>
<% if (comment.getLoggedIn() && !comment.getVersionView() && comment.getPutAllowed()) { %>
<div class="icon-link-ouside">
    <a class="icon-link" style="background-image:url(../admin/images/add.gif);"
       onclick="javascript:showHideCommon('add-comment-div');if($('add-comment-div').style.display!='none')$('comment').focus();">
        <fmt:message key="add.comment"/></a>
</div>
<% } %>

<div id="add-comment-div" style="display:none;padding-bottom:10px;">
    <form onsubmit="return addComment('<%=request.getParameter("path")%>');">
        <table cellspacing="0" cellpadding="0" border="0" style="width:100%"
               class="styledLeft">
            <thead>
                <tr>
                    <th><fmt:message key="add.new.comment"/></th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><textarea id="comment" name="comment" style="width:100%"></textarea>
                    </td>
                </tr>
                <tr>
                    <td class="buttonRow">
                        <input type="button" class="button" value="<fmt:message key="add"/>"
                               onclick="addComment('<%=comment.getPathWithVersion()%>');"/>
                        <input type="button"
                               class="button"
                               value="<fmt:message key="cancel"/>"
                               onclick="showHideCommon('add-comment-div');"/></td>
                </tr>
            </tbody>
        </table>
    </form>
</div>

<div id="commentsList">
    <div id="commentsSum" class="summeryStyle">
        <% if (comments.length > 0) {
        %>
       
                <fmt:message key="no.of.comments">
                    <fmt:param
                            value="<%=comments.length%>"/>
                </fmt:message>
                <%

                } else {

                %>
                <fmt:message key="no.comments.on.this.entry.yet"/>
                <%

                    }

                %>
    </div>
    <table cellpadding="0" cellspacing="0" class="styledLeft" id="commentsTable">
        <tbody>
            <%
                for (int i = 0; i < comments.length; i++) {
                    Comment comment1 = comments[i];
                    String commentString = comment1.getText();
                    String commentedTime = CommonUtil.formatDate(comment1.getCreatedTime().getTime());
                    String commentedUser = comment1.getUser();


            %>


            <tr>
                <td>
                    <div valign="top"
                         style="padding-top:10px;padding-bottom:10px;">
                    </div>
                    <fmt:message key="comment">
                        <fmt:param value="<%=commentString%>"/>
                    </fmt:message>
                    <br/>
                    <fmt:message key="posted.on.by">
                        <fmt:param value="<%=commentedTime%>"/>
                        <fmt:param value="<%=commentedUser%>"/>
                    </fmt:message>
                </td>
            </tr>


            <%

                }

            %>
        </tbody>
    </table>
</div>
<!-- Page resource path prints here -->


</div>
<script type="text/javascript">
    alternateTableRows('commentsTable', 'tableEvenRow', 'tableOddRow');
</script>
</fmt:bundle>