
function addComment(path) {
    var reason="";
    var commentElement = $('comment');
    var comment = commentElement.value;
    reason+=validateForInput(commentElement,"Comment Body");
    reason+=validateEmpty(commentElement,"Comment Body");

    if (comment.length > 500) {
        reason += "Unable to add comment. Comment length must be equal or less than 500 characters.";
    }
    
    if(reason==""){
    	new Ajax.Request('../info/comment-ajaxprocessor.jsp',
        {
            method:'post',
            parameters: {comment: comment, path: path},

            onSuccess: function(transport) {
            
            	$('commentsList').innerHTML = transport.responseText;
                $('commentsList').style.display = "";
                
                $('commentsIconExpanded').style.display = "";
                $('commentsIconMinimized').style.display = "none";
                alternateTableRows('commentsTable', 'tableEvenRow', 'tableOddRow');
            },

            onFailure: function() {
            }
        });
        
        commentElement.value = '';
        commentElement.style.background="White";
        showHideCommon('add-comment-div');
    }else{
        CARBON.showWarningDialog(reason);
        return false;
    }
}

function applyTag(e) {
    var reason="";

    var keyCode;
    if(e!='null'){
	    if (window.event) {
	        keyCode = window.event.keyCode;
	    } else {
	        keyCode = e.which;
	    }
    }

    if (keyCode == 13 || keyCode == 0 || keyCode == 1) {
      
        var path = document.getElementById('tfPath').value;
        var tag = $('tfTag').value;
        reason+=validateForInput($('tfTag'),"Tag Name");
        reason+=validateEmpty($('tfTag'),"Tag Name");
        var tagLength = $('tfTag').value.length;
        
        //reason+=validateIllegal($('tfTag'),"Tag Name");
        if(reason==""){
            new Ajax.Request('../info/tag-ajaxprocessor.jsp', {
                method: 'post',
                parameters: {tag: tag, path: path},

                onSuccess: function(transport) {
                    $('tagList').innerHTML = transport.responseText;
                },

                onFailure: function(transport) {
                    showRegistryError(transport.responseText);
                }
            });
            $('tfTag').value = "";
            showHideCommon('tagAddTable');
        }
        else{
            CARBON.showWarningDialog(reason);
        }
    }
}

function setRating(path, rating) {

    new Ajax.Request('../info/rating-ajaxprocessor.jsp', {
        method: 'post',
        parameters: {path: path, rating: rating},

        onSuccess: function(transport) {
            $('ratingDiv').innerHTML = transport.responseText;
        },

        onFailure: function(transport) {
            showRegistryError(transport.responseText);
        }
        
    });
}

function subscribe(path) {
    var endpoint = "";
    var reason = "";
    if ($('subscriptionDataEmail').style.display == "") {
        reason += validateEmail($('subscriptionEmail'));
        endpoint += "mailto:" + $('subscriptionEmail').value;
    } else if ($('subscriptionDataUserProfile').style.display == "") {
        reason += validateEmpty($('subscriptionUserProfile'), "User Name");
        if (reason == "") {
            reason += validateUserExists($('subscriptionUserProfile').value);
        }
        endpoint += "user://" + $('subscriptionUserProfile').value;
    } else {
        reason += validateUrl($('subscriptionURL'), "Web Service URL");
        endpoint += $('subscriptionURL').value;
    }
    if (reason == "") {
        var eventName = $('eventList').value;
        var notification = $('notificationMethodList').value;
        switch (notification) {
            case "2":
                var doRest = true;
                new Ajax.Request('../info/subscription-ajaxprocessor.jsp', {
                    method: 'post',
                    parameters: {path: path, endpoint: endpoint, eventName: eventName, doRest: doRest},
                    onSuccess: function(transport) {
                        $('subscriptionDiv').innerHTML = transport.responseText;
                        alternateTableRows('subscriptionsTable', 'tableEvenRow', 'tableOddRow');
                    },
                    onFailure: function(transport) {
                        showRegistryError(transport.responseText);
                    }
                });
                break;
            default:
                new Ajax.Request('../info/subscription-ajaxprocessor.jsp', {
                    method: 'post',
                    parameters: {path: path, endpoint: endpoint, eventName: eventName},
                    onSuccess: function(transport) {
                        $('subscriptionDiv').innerHTML = transport.responseText;
                        alternateTableRows('subscriptionsTable', 'tableEvenRow', 'tableOddRow');
                    },
                    onFailure: function(transport) {
                        showRegistryError(transport.responseText);
                    }
                });
                break;
        }
    } else {
        CARBON.showWarningDialog(reason);
    }
}

function unsubscribe(path, id) {
    CARBON.showConfirmationDialog("Are you sure you want to unsubscribe?", function() {
        var addSuccess = true;
            new Ajax.Request('../info/subscription-ajaxprocessor.jsp', {
            method: 'post',
            parameters: {path: path, id: id},
            onSuccess: function(transport) {
                $('subscriptionDiv').innerHTML = transport.responseText;
                alternateTableRows('subscriptionsTable', 'tableEvenRow', 'tableOddRow');
            },
            onFailure: function(transport) {
                //showRegistryError(transport.responseText);
                addSuccess = false;
            }
        });

        if (!addSuccess) {
            return;
        }
    }, null);   
}

function previewRating(ratingDivId, value) {

    var images = $(ratingDivId).getElementsByTagName("img");
    for (var i = 0; i < 5; i++) {
        if (i < value) images[i].src = "../info/images/r4x.gif";
        else images[i].src = "../info/images/r00.gif";
    }

}

function clearPreview(ratingDivId) {

    var ratingDiv = $(ratingDivId);
    var initialState = ratingDiv.getElementsByTagName("span")[0].getAttribute('initialState').split(" ");
    var images = ratingDiv.getElementsByTagName("img");
    for (var i = 0; i < 5; i++)
        images[i].src = "../info/images/r" + initialState[i] + ".gif";

}
function showComments(){
showHideCommon('commentsIconExpanded');
showHideCommon('commentsIconMinimized');
showHideCommon('commentsTable');
}
function showComments(){
	if($('commentsIconExpanded').style.display == "none"){
	//We have to expand all and hide sum
	$('commentsIconExpanded').style.display = "";
	$('commentsIconMinimized').style.display = "none";
	$('commentsExpanded').style.display = "";
	$('commentsMinimized').style.display = "none";
	}
	else{
	$('commentsIconExpanded').style.display = "none";
	$('commentsIconMinimized').style.display = "";
	$('commentsExpanded').style.display = "none";
	$('commentsMinimized').style.display = "";
	}
}
function showRating(){
	if($('ratingIconExpanded').style.display == "none"){
	//We have to expand all and hide sum
	$('ratingIconExpanded').style.display = "";
	$('ratingIconMinimized').style.display = "none";
	$('ratingExpanded').style.display = "";
	$('ratingMinimized').style.display = "none";
	}
	else{
	$('ratingIconExpanded').style.display = "none";
	$('ratingIconMinimized').style.display = "";
	$('ratingExpanded').style.display = "none";
	$('ratingMinimized').style.display = "";
	}
}
function showTags(){
	if($('tagsIconExpanded').style.display == "none"){
	//We have to expand all and hide sum
	$('tagsIconExpanded').style.display = "";
	$('tagsIconMinimized').style.display = "none";
	$('tagsExpanded').style.display = "";
	$('tagsMinimized').style.display = "none";
	}
	else{
	$('tagsIconExpanded').style.display = "none";
	$('tagsIconMinimized').style.display = "";
	$('tagsExpanded').style.display = "none";
	$('tagsMinimized').style.display = "";
	}
}
function showSubscription(){
        if($('subscriptionIconExpanded').style.display == "none"){
        //We have to expand all and hide sum
        $('subscriptionIconExpanded').style.display = "";
        $('subscriptionIconMinimized').style.display = "none";
        $('subscriptionExpanded').style.display = "";
        $('subscriptionMinimized').style.display = "none";
        }
        else{
        $('subscriptionIconExpanded').style.display = "none";
        $('subscriptionIconMinimized').style.display = "";
        $('subscriptionExpanded').style.display = "none";
        $('subscriptionMinimized').style.display = "";
        }
}

function changeVisibility() {
    var visible = $('eventList').value;
    switch (visible) {
        case "0":
            $('notificationMethodList').disabled = true;
            visible = "0";
            break;
        default:
            $('notificationMethodList').disabled = false;
            visible = $('notificationMethodList').value;
            break;
    }
    resetInputVisibility();
    switch (visible) {
        case "1":
            $('subscriptionDataInputRecord').style.display = "";
            $('subscriptionDataEmail').style.display = "";
            $('subscribeButton').disabled = false;
            break;
        case "2":
        case "3":
            $('subscriptionDataInputRecord').style.display = "";
            $('subscriptionDataHTMLSOAP').style.display = "";
            $('subscribeButton').disabled = false;
            break;
        case "4":
            $('subscriptionDataInputRecord').style.display = "";
            $('subscriptionDataUserProfile').style.display = "";
            $('subscribeButton').disabled = false;
            break;
    }

}

function resetInputVisibility() {
    $('subscribeButton').disabled = true;
    $('subscriptionEmail').value = "";
    $('subscriptionURL').value = "";
    $('subscriptionEmail').style.background = 'White';
    $('subscriptionURL').style.background = 'White';
    $('subscriptionDataInputRecord').style.display = "none";
    $('subscriptionDataEmail').style.display = "none";
    $('subscriptionDataHTMLSOAP').style.display = "none";
    $('subscriptionDataUserProfile').style.display = "none";
}

function validateUserExists(username) {
    var error = "";
    new Ajax.Request('../info/is_user_valid-ajaxprocessor.jsp',
        {
            method:'post',
            parameters: {username: username},
            asynchronous:false,
            onSuccess: function(transport) {
                var returnValue = transport.responseText;
                if (returnValue.search(/----UserExists----/) == -1){
                    error = "No valid user exists by the name: <strong>" + username + "</strong>.";
                }
            },
            onFailure: function(transport) {

            }
        });
    return error;
}
