<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.registry.ui.info.clients.InfoServiceClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.registry.ui.info.beans.xsd.RatingBean" %>

<script type="text/javascript" src="../info/js/info.js"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>

<%
    RatingBean ratingBean;
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    boolean displayPlainError = true;
    try{
        InfoServiceClient client = null;
        if (request.getParameter("rating") != null) {
            client = new InfoServiceClient(cookie, config, session);
            client.rateResource(request);
        } else {
            displayPlainError = false;
            client = new InfoServiceClient(cookie, config, session);
        }
        ratingBean = client.getRatings(request);
    } catch (Exception e){
        response.setStatus(500);
        if (displayPlainError) {
            %><%=e.getMessage()%><%
            return;
        }
        CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
        session.setAttribute(CarbonUIMessage.ID, uiMsg);
%>
        <jsp:include page="../admin/error.jsp?<%=e.getMessage()%>"/>
<%
        return;
    }
    float averageRating = ratingBean.getAverageRating();

    String[] userStars = ratingBean.getUserStars();
    String[] averageStars = ratingBean.getAverageStars();
%>
<fmt:bundle basename="org.wso2.carbon.registry.ui.info.i18n.Resources">

    <table cellpadding="0" cellspacing=10 border="0">
        <%
            if (ratingBean.getLoggedIn()) {
                if (ratingBean.getVersionView()) {
        %>

        <tr>
            <th valign="top" style="width:70px;"><fmt:message key="my.rating"/>:</th>
            <td>
                <div>
                    <img src="../info/images/r<%=userStars[0]%>.gif"/>
                    <img src="../info/images/r<%=userStars[1]%>.gif"/>
                    <img src="../info/images/r<%=userStars[2]%>.gif"/>
                    <img src="../info/images/r<%=userStars[3]%>.gif"/>
                    <img src="../info/images/r<%=userStars[4]%>.gif"/>
                </div>
            </td>
            <th></th>
            <td></td>
        </tr>

        <%
        } else {
        %>
        <tr>
            <th><fmt:message key="my.rating"/>:</th>
            <td>
                <div id="ratingDivUser" style="width:100px;">
                    <span initialState="<%=userStars[0]%> <%=userStars[1]%> <%=userStars[2]%> <%=userStars[3]%> <%=userStars[4]%>"/>

                    <img src="../info/images/r<%=userStars[0]%>.gif"
                         onclick="setRating('<%=ratingBean.getPathWithVersion()%>', 1)"
                         onmouseover="previewRating('ratingDivUser', 1)"
                         onmouseout="clearPreview('ratingDivUser')"/>
                    <img src="../info/images/r<%=userStars[1]%>.gif"
                         onclick="setRating('<%=ratingBean.getPathWithVersion()%>', 2)"
                         onmouseover="previewRating('ratingDivUser', 2)"
                         onmouseout="clearPreview('ratingDivUser')"/>
                    <img src="../info/images/r<%=userStars[2]%>.gif"
                         onclick="setRating('<%=ratingBean.getPathWithVersion()%>', 3)"
                         onmouseover="previewRating('ratingDivUser', 3)"
                         onmouseout="clearPreview('ratingDivUser')"/>
                    <img src="../info/images/r<%=userStars[3]%>.gif"
                         onclick="setRating('<%=ratingBean.getPathWithVersion()%>', 4)"
                         onmouseover="previewRating('ratingDivUser', 4)"
                         onmouseout="clearPreview('ratingDivUser')"/>
                    <img src="../info/images/r<%=userStars[4]%>.gif"
                         onclick="setRating('<%=ratingBean.getPathWithVersion()%>', 5)"
                         onmouseover="previewRating('ratingDivUser', 5)"
                         onmouseout="clearPreview('ratingDivUser')"/>
                </div>
            </td>
            <th></th>
            <td></td>
        </tr>
        <% }
        } %>
        <tr>
            <th valign="top"><fmt:message key="rating"/>:</th>
            <td>
                <div id="ratingDivAvg" style="width:100px;">

                    <img src="../info/images/r<%=averageStars[0]%>.gif"/>
                    <img src="../info/images/r<%=averageStars[1]%>.gif"/>
                    <img src="../info/images/r<%=averageStars[2]%>.gif"/>
                    <img src="../info/images/r<%=averageStars[3]%>.gif"/>
                    <img src="../info/images/r<%=averageStars[4]%>.gif"/>
                    <br/>

                </div>
            </td>
            <td>(<%=averageRating%>)</td>
            <td></td>
        </tr>
    </table>
</fmt:bundle>
