<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.registry.ui.info.clients.InfoServiceClient" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.info.beans.xsd.TagBean" %>
<%@ page import="org.wso2.carbon.registry.ui.info.services.utils.xsd.Tag" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<script type="text/javascript" src="../info/js/info.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_validation.js"></script>
<script type="text/javascript" src="../registry_common/js/registry_common.js"></script>
<script type="text/javascript" src="../ajax/js/prototype.js"></script>
<link rel="stylesheet" type="text/css"
      href="../resources/css/registry.css"/>

<%
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    InfoServiceClient client = new InfoServiceClient(cookie, config, session);
    TagBean tag;
    try {
        tag = client.getTags(request);
    } catch (Exception e) {
        response.setStatus(500);
        CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
        session.setAttribute(CarbonUIMessage.ID, uiMsg);
%>
    <jsp:include page="../admin/error.jsp?<%=e.getMessage()%>"/>
<%
        return;
    }
    Tag[] tags = tag.getTags();
%>
<fmt:bundle basename="org.wso2.carbon.registry.ui.info.i18n.Resources">

    <div class="box1-head" style="height:auto;margin-top:10px;">
        
        <table cellspacing="0" cellpadding="0" border="0" style="width:100%">
        <tr>


            <td valign="top"><h2 class="sub-headding-comments"><fmt:message key="tags"/></h2></td>


            <td align="right" valign="top" class="expanIconCell">


                <a onclick="showTags()">
                    <img src="images/icon-expanded.gif" border="0" align="top"
                         id="tagsIconExpanded" style="display:none;"/>
                    <img src="images/icon-minimized.gif" border="0" align="top"
                         id="tagsIconMinimized"/>
                </a>

            </td>

        </tr>
    	</table>
    </div>
    <div class="box1-mid-fill" id="tagsMinimized"></div>
    <div class="box1-mid" style="height:auto;display:none" id="tagsExpanded">
        <% if (tag.getLoggedIn() && !tag.getVersionView() && tag.getPutAllowed()) { %>
        <div class="icon-link-ouside" id="tagAddDiv">
            <a class="icon-link" style="background-image:url(../admin/images/add.gif);"
               onclick="javascript:showHideCommon('tagAddTable');if($('tagAddTable').style.display!='none')$('tfTag').focus();">
                <fmt:message key="add.new.tag"/>
            </a>
        </div>
        <% } %>
        <!-- START add tag box -->
        <div id="tagAddTable" style="margin-top:10px;display: none;">
            <input id="tfPath" type="hidden" name="resourcePath"
                   value='<%=tag.getPathWithVersion()%>'/>
            <input id="tfTag" type="text" name="tag" onkeypress="applyTag(event);"/>
            <br /><br />
	    <input type="button" onclick="applyTag(event);" value="Add" class="button"/>
            <input type="button" onclick="showHideCommon('tagAddTable');" value="Cancel" class="button" style="margin-left: 5px;"/>
            <div style="font-style:italic;margin-top:5px;">
                <img src="../info/images/help-small.jpg" style="margin-right:5px;"/>
                <fmt:message key="use.commas.to.add.multiple.tags"/>

            </div>
        </div>

        <div id="tagList">
            <%
                if (tags.length > 0) {
                    for (int i = 0; i < tags.length; i++) {
                        Tag tag1 = tags[i];
                        String tagName = tag1.getTagName();
                        String style = "cloud-x" + tag1.getCategory();

            %>


            <a href="../search/search.jsp?searchType=tag&criteria=<%=tagName%>" class="<%=style%>"><%=tagName%>
            </a>&nbsp;&nbsp;
            <%
                }
            } else {
            %>
            <div id="noTags" class="summeryStyle">
                <fmt:message key="no.tags.on.this.entry.yet"/>
            </div>
            <%
                }
            %>
        </div>
    </div>
</fmt:bundle>